int sauth_set_mutex(int (*cb)(int vm, int isget, int seconds), int m);
int sauth_init(int (*vimsg)( const char *format ,...), char *scmd);
int sauth_set_shutdown(void);
int sauth_check(char *user, char *pass, char *result, int *failed);
int sauth_ex_check_ip(char *userdom, char *pass, char *result, int bfsz, char *ip);
int sauth_ex_lookup(char *userdom, char *pass, char *result, int bfsz);
int sauth_set_lookup(int x);
int sauth_init_oauth(char *url, char *id, char *secret, int trim);

